Package org.eclipse.cdt.utils.spawner

# Class EnvironmentReader

java.lang.Object
org.eclipse.cdt.utils.spawner.EnvironmentReader

public class EnvironmentReader extends Object
This class provides OS owned environment variables supplied as `Properties` class.

Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`EnvironmentReader()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getEnvVar(String key)`
`static Properties`
`getEnvVars()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EnvironmentReader

public EnvironmentReader()

## Method Details

### getEnvVars

public static Properties getEnvVars()

Returns:
  a clone of the list of environment variables.

### getEnvVar

public static String getEnvVar(String key)

Parameters:
  `key` - - name of environment variable (without $ sign).
Returns:
  value of environment variable.